Bug 143667 - [patch] ignore building ports-mgmt/portbrowser under * =! FreeBSD 5
Summary: [patch] ignore building ports-mgmt/portbrowser under * =! FreeBSD 5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Hiroki Sato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-02-08 11:30 UTC by Alexander Best
Modified: 2010-02-17 21:40 UTC (History)
0 users

See Also:


Attachments
file.diff (1021 bytes, patch)
2010-02-08 11:30 UTC, Alexander Best
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Best 2010-02-08 11:30:06 UTC
ports-mgmt/portbrowser doesn't work on * =! FreeBSD5.

cheers.
alex

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2010-02-08 11:30:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->hrs

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Mark Linimon 2010-02-09 07:13:52 UTC
RELENG_5 went EOL on 05/31/2008.  If no one has noticed that the port
has been broken in the last 20 months, IMHO it should just be deleted.

mcl
Comment 3 Alexander Best 2010-02-09 12:03:54 UTC
mark's probably right. i doubt this port is being used by a lot of people
anyway so moving it into the attic won't be a huge loss.

also fixing the port to work with anything else apart from FreeBSD 5 will
require some work. i tried linking INDEX-5 to INDEX-8 and that made pbrowser
segfault. probably the INDEX format changed somewhere between FreeBSD 5 and 8.

so it's +1 for removing the port.

cheers.
alex
Comment 4 dfilter service freebsd_committer 2010-02-16 21:29:32 UTC
hrs         2010-02-16 21:29:18 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt           Makefile 
  Removed files:
    ports-mgmt/portbrowser Makefile distinfo pkg-descr 
    ports-mgmt/portbrowser/files patch-src-pkgobject.h 
  Log:
  Remove ports-mgmt/portbrowser.  It is no longer actively maintained and
  broken for years.
  
  Feature safe:   yes
  PR:     ports/143667
  
  Revision  Changes    Path
  1.29      +0 -1      ports/ports-mgmt/Makefile
  1.15      +0 -33     ports/ports-mgmt/portbrowser/Makefile (dead)
  1.5       +0 -3      ports/ports-mgmt/portbrowser/distinfo (dead)
  1.2       +0 -19     ports/ports-mgmt/portbrowser/files/patch-src-pkgobject.h (dead)
  1.2       +0 -4      ports/ports-mgmt/portbrowser/pkg-descr (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Hiroki Sato freebsd_committer 2010-02-16 21:29:41 UTC
State Changed
From-To: open->closed

Sorry for the delay but removed from the ports tree.  Thank you for the report!
Comment 6 Andriy Gapon 2010-02-17 14:10:03 UTC
Perhaps, an entry in MOVED, just in case?

-- 
Andriy Gapon
Comment 7 dfilter service freebsd_committer 2010-02-17 21:36:39 UTC
hrs         2010-02-17 21:36:26 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
  Log:
  Add entry of ports-mgmt/portbrowser removal forgotten when the change
  was committed.
  
  Spotted by:     Andriy Gapon
  PR:             ports/143667
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2094    +2 -1      ports/MOVED
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"